#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.2.1
visibility:           public
id:                   servant-swagger-1.2.1-LNtIyL7mkxBEWQQX2B7KJF
key:                  servant-swagger-1.2.1-LNtIyL7mkxBEWQQX2B7KJF
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           haskell-servant-maintainers@googlegroups.com
author:               Servant Contributors
homepage:
    https://github.com/haskell-servant/servant/tree/master/servant-swagger#readme

synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  30b59bc6d852c3c257ccbdf59b9238e7
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-9.2.8/site-local/servant-swagger-1.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/servant-swagger-1.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-servant-swagger
hs-libraries:         HSservant-swagger-1.2.1-LNtIyL7mkxBEWQQX2B7KJF
depends:
    QuickCheck-2.14.3-KglZRIILqj13C4GmkOAzbm
    aeson-2.1.2.1-DTIp7ffJsC9lgN2UYC5np
    aeson-pretty-0.8.10-B7uLzSGskWN8zwDYVek8y1 base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    hspec-2.10.9-LE889lmPBz43CgozpzTILk
    http-media-0.8.1.1-258w96N3VgHKgQ2VWD1Efz
    insert-ordered-containers-0.2.5.3-2V4GUvdOzIaGdStr4Evtcv
    lens-5.2.3-2JZ3XKI9X344dVlwCAi4Go
    servant-0.20.2-4j50f86VdFHGDQKlDmhLgs
    singleton-bool-0.1.7-1uubXFtCW7Z2sKJGUSh2pN
    swagger2-2.8.9-J2fczhijV2B5zfP58pmfuq text-1.2.5.0
    unordered-containers-0.2.20-Fh9bn7OEhnqCMuFBZWj2ah

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

